@import url("https://fonts.googleapis.com/css2?family=Barlow+Semi+Condensed:wght@500;600&display=swap");

:root {
  --clr-primary-1: hsl(263, 55%, 52%);
  --clr-primary-2: hsl(217, 19%, 35%);
  --clr-primary-3: hsl(219, 29%, 14%);
  --clr-primary-4: hsl(0, 0%, 100%);

  --clr-neutral-5: hsl(0, 0%, 81%);
  --clr-neutral-6: hsl(210, 46%, 95%);

  --ff-primary: "Barlow Semi Condensed", sans-serif;
  --spacing: 0.1rem;
  --radius: 0.75rem;
  --transition: all 0.03s linear;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  font-size: 13px;
}

body {
  font-size: 1rem;
  line-height: 1.25;
  background: var(--clr-neutral-6);
  font-family: var(--ff-primary);
}

img {
  object-fit: cover;
  display: block;
}
.container {
  margin: 0 auto;
  padding: 6rem 2rem;
  display: grid;
  gap: 2rem;
}

.image_container {
  /* display: none; */
  position: absolute;
  right: 2rem;
  top: 0;
  opacity: 0.9;
  z-index: -1;
}

.card-1 {
  background: var(--clr-primary-1);
  padding: 2rem 2.35rem;
  border-radius: var(--radius);
  position: relative;
  z-index: 1;
}

.card-2 {
  background: var(--clr-primary-2);
  padding: 2rem 2.35rem;
  border-radius: var(--radius);
}
.card-4 {
  background: var(--clr-primary-3);
  padding: 2rem 2.35rem;
  border-radius: var(--radius);
}

.card-3 {
  background: var(--clr-primary-4);
  padding: 2rem 2.35rem;
  border-radius: var(--radius);
}

.card-5 {
  background: var(--clr-primary-4);
  padding: 2rem 2.35rem;
  border-radius: var(--radius);
}

.author {
  display: flex;
  gap: 1.5rem;
  margin-bottom: 1.25rem;
}

.author img {
  width: 2.5rem;
  height: 2.5rem;
  border-radius: 50%;
  border: 2px solid hsl(262, 71%, 75%);
}

.author_name p {
  text-transform: capitalize;
  color: var(--clr-primary-4);
}

.author_name p:first-child {
  opacity: 0.9;
  font-weight: 500;
  line-height: 1.5;
}

.author_name p:last-child {
  font-size: 0.875rem;
  opacity: 0.4;
}

:is(.card-1, .card-2, .card-4) .author_message .title > h2 {
  color: var(--clr-primary-4);
  line-height: 1.25;
  font-weight: 600;
  width: 19rem;
}

:is(.card-1, .card-2, .card-4) .author_message .message > p {
  color: var(--clr-primary-4);
  opacity: 0.4;
}

:is(.card-3, .card-5) .author .author_name > p {
  color: var(--clr-primary-2);
  font-weight: 600;
}

:is(.card-3, .card-5) .author_message .title > h2 {
  color: var(--clr-primary-2);
  line-height: 1.25;
  font-weight: 600;
  width: 19rem;
}

:is(.card-3, .card-5) .author_message .message > p {
  color: var(--clr-primary-2);
  opacity: 0.7;
  font-weight: 500;
}

.card-5 .author_message .title h2 {
  width: 20rem;
}

.title {
  margin-bottom: 1.5rem;
}

@media screen and (min-width: 1170px) {
  .container {
    grid-template-columns: 1fr 1fr 1fr 1fr;
    grid-template-rows: 1fr;
    grid-template-areas:
      "a a b c"
      "d e e c";
  }

  .card-1 {
    grid-area: a;
  }
  .card-2 {
    grid-area: b;
  }
  .card-3 {
    grid-area: d;
  }
  .card-4 {
    grid-area: e;
  }
  .card-5 {
    grid-area: c;
  }

  /* :is(.card-1, .card-4) .author_message .title > h2 {
    font-size: 1.5rem;
    width: 50rem;
  } */

  .image_container {
    right: 11.5rem;
  }
  .card-1 .author_message .title h2 {
    font-size: 2rem;
    width: 48rem;
  }
  .card-1 .author_message .message p {
    font-size: 1.2rem;
    width: 44rem;
  }

  .card-2 .author_message .title h2 {
    font-size: 2rem;
    width: 20rem;
  }
  .card-2 .author_message .message p {
    font-size: 1.2rem;
    width: 17rem;
  }

  .card-3 .author_message .title h2 {
    font-size: 2rem;
    width: 17rem;
  }

  .card-3 .author_message .message p {
    font-size: 1.2rem;
    width: 17rem;
  }

  .card-4 .author_message .title h2 {
    font-size: 2rem;
    width: 48rem;
  }

  .card-4 .author_message .message p {
    font-size: 1.2rem;
    width: 46rem;
  }

  .card-5 .author_message .title h2 {
    font-size: 2rem;
    width: 17rem;
  }

  .card-5 .author_message .message p {
    font-size: 1.2rem;
    width: 20rem;
  }

  .card-5 {
    box-shadow: 0 10px 15px -3px rgb(0 0 0 / 0.1),
      0 4px 6px -4px rgb(0 0 0 / 0.1);
  }

  .card-3 {
    box-shadow: 0 10px 15px -3px rgb(0 0 0 / 0.1),
      0 4px 6px -4px rgb(0 0 0 / 0.1);
  }
}
